### Signal

# Adw TabView::setup-menu

#### Declaration

    void
    setup_menu (
      AdwTabView* self,
      AdwTabPage* page,
      gpointer user_data
    )

#### Description [src]

Emitted when a context menu is opened or closed for `page`.

If the menu has been closed, `page` will be set to `NULL`.

It can be used to set up menu actions before showing the menu, for example disable actions not applicable to `page`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`page`

  Type: `AdwTabPage`

  A page of `self`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.